Skip to main content

Deployments

Deployments let the user schedule a job to deploy the contents of their workspace repository to their workspace in Meltano Cloud.

This can be done manually or via a GitHub repository webhook:

  • Payload URL: https://app.meltano.com/api/workspaces/<workspace_id>/deployments/github-webhook
  • Content type: application/json
  • Secret: "Deployment Secret" from workspace settings in Meltano Cloud

Requests​

Deploy your workspace repository​

POST /api/workspaces/{workspaces-id}/deployments

Deploys the workspace {workspace-id}.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/1f8d06ac-1762-4721-a0ca-1a6d4d4d9066/deployments' -i -X POST \
-H 'Content-Type: application/json'

Response​

202 Accepted

Job with HAL links.

{
"id" : "46c661c4-3f87-4106-a4e8-dcb43349e685",
"created" : "2026-10-23T13:47:01.449367",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/46c661c4-3f87-4106-a4e8-dcb43349e685"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/46c661c4-3f87-4106-a4e8-dcb43349e685",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/46c661c4-3f87-4106-a4e8-dcb43349e685/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/46c661c4-3f87-4106-a4e8-dcb43349e685/stopped",
"type" : "PUT"
}
}
}

GitHub webhook workspace deployment​

POST /api/workspaces/{workspaces-id}/deployments/github-webhook

Receives POST requests from GitHub and starts a workspace deploy job.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/1f8d06ac-1762-4721-a0ca-1a6d4d4d9066/deployments/github-webhook' -i -X POST \
-H 'X-Hub-Signature: sha1=88ddab7180d18d3f2a1335a8c15ab071bdf590ec' \
-H 'Content-Type: application/json' \
-d '{ }'

Response​

202 Accepted

Job with HAL links.

{
"id" : "1c88964b-50c0-43f0-a592-757a3f304534",
"created" : "2026-10-23T13:47:02.465035",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/1c88964b-50c0-43f0-a592-757a3f304534"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/1c88964b-50c0-43f0-a592-757a3f304534",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/1c88964b-50c0-43f0-a592-757a3f304534/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/1c88964b-50c0-43f0-a592-757a3f304534/stopped",
"type" : "PUT"
}
}
}